Bug 247640 - devel/py-pathlib: Fix Python <version-spec> (Supports 3.x)
Summary: devel/py-pathlib: Fix Python <version-spec> (Supports 3.x)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Jason W. Bacon
URL:
Keywords: easy
Depends on:
Blocks:
 
Reported: 2020-06-29 15:43 UTC by Jason W. Bacon
Modified: 2020-08-18 13:49 UTC (History)
2 users (show)

See Also:
bugzilla: maintainer-feedback? (stiginge)
koobs: merge-quarterly?


Attachments
Unified diff (384 bytes, patch)
2020-06-29 15:43 UTC, Jason W. Bacon
koobs: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason W. Bacon freebsd_committer 2020-06-29 15:43:14 UTC
Created attachment 216040 [details]
Unified diff

pathlib 1.0.1 appears to work fine with python 3.7 and is currently required for spaCy natural language processing.
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2020-06-30 05:09:33 UTC
Comment on attachment 216040 [details]
Unified diff

Approved by: portmgr (blanket: ports/framework (Python) compliance)
Comment 2 commit-hook freebsd_committer 2020-08-02 22:44:43 UTC
A commit references this bug:

Author: jwb
Date: Sun Aug  2 22:44:24 UTC 2020
New revision: 544005
URL: https://svnweb.freebsd.org/changeset/ports/544005

Log:
  devel/py-pathlib: Allow building with python3

  PR:             ports/247640
  Reviewed by:    koobs
  Approved by:    portmgr (blanket: ports/framework (Python) compliance)

Changes:
  head/devel/py-pathlib/Makefile
Comment 3 Antoine Brodin freebsd_committer 2020-08-03 08:22:40 UTC
The spaCy requirements are:

pathlib==1.0.1; python_version < "3.4"

So no change is needed.
Comment 4 Jason W. Bacon freebsd_committer 2020-08-18 13:49:42 UTC
Where did you see a spacy requirement of python < 3.4?  

These two sites indicate 3.5+:

https://pypi.org/project/spacy/
https://spacy.io/usage

Also forgot to close this following commit...